import { dividerVariants } from "./variants"

import type { DividerProps } from "./divider"

export default function Divider({
  className,
  color,
  opacity,
  variant,
}: DividerProps) {
  const classNames = dividerVariants({ className, color, opacity, variant })
  return <hr className={classNames} />
}
